BearSSL

Data Fields
br_ssl_server_policy_rsa_context Struct Reference

A single-chain RSA policy handler. More...

`#include <bearssl_ssl.h>`

## Data Fields
const br_ssl_server_policy_class * | vtable
| Pointer to vtable. More...

## Detailed Description

A single-chain RSA policy handler.

This policy context uses a single certificate chain, and a RSA private key. The context can be restricted to only signatures or only key exchange.

Apart from the first field (vtable pointer), its contents are opaque and shall not be accessed directly.

## Field Documentation

## ◆ vtable

const br_ssl_server_policy_class* br_ssl_server_policy_rsa_context::vtable

Pointer to vtable.

The documentation for this struct was generated from the following file:

- bearssl_ssl.h